wxWidgets: wxRichTextFontTable Class Reference

| Version: 3.0.5

Public Member Functions | Protected Attributes | List of all members
wxRichTextFontTable Class Reference
Class List by Category » Rich Text

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextFontTable:
[legend]

## Detailed Description

Manages quick access to a pool of fonts for rendering rich text.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextFontTable ()
| Default constructor. More...
| wxRichTextFontTable (const wxRichTextFontTable &table)
| Copy constructor. More...
virtual | ~wxRichTextFontTable ()
bool | IsOk () const
| Returns true if the font table is valid. More...
wxFont | FindFont (const wxRichTextAttr &fontSpec)
| Finds a font for the given attribute object. More...
void | Clear ()
| Clears the font table. More...
void | operator= (const wxRichTextFontTable &table)
| Assignment operator. More...
bool | operator== (const wxRichTextFontTable &table) const
| Equality operator. More...
bool | operator!= (const wxRichTextFontTable &table) const
| Inequality operator. More...
void | SetFontScale (double fontScale)
| Set the font scale factor. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Protected Attributes
double | m_fontScale
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextFontTable() [1/2]

wxRichTextFontTable::wxRichTextFontTable | ( |  | ) |

Default constructor.

## ◆ wxRichTextFontTable() [2/2]

wxRichTextFontTable::wxRichTextFontTable | ( | const wxRichTextFontTable & | table | ) |

Copy constructor.

## ◆ ~wxRichTextFontTable()

virtual wxRichTextFontTable::~wxRichTextFontTable | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Clear()

void wxRichTextFontTable::Clear | ( |  | ) |

Clears the font table.

## ◆ FindFont()

wxFont wxRichTextFontTable::FindFont | ( | const wxRichTextAttr & | fontSpec | ) |

Finds a font for the given attribute object.

## ◆ IsOk()

bool wxRichTextFontTable::IsOk | ( |  | ) | const
| inline

Returns true if the font table is valid.

## ◆ operator!=()

bool wxRichTextFontTable::operator!= | ( | const wxRichTextFontTable & | table | ) | const
| inline

Inequality operator.

## ◆ operator=()

void wxRichTextFontTable::operator= | ( | const wxRichTextFontTable & | table | ) |

Assignment operator.

## ◆ operator==()

bool wxRichTextFontTable::operator== | ( | const wxRichTextFontTable & | table | ) | const

Equality operator.

## ◆ SetFontScale()

void wxRichTextFontTable::SetFontScale | ( | double | fontScale | ) |

Set the font scale factor.

## Member Data Documentation

## ◆ m_fontScale

double wxRichTextFontTable::m_fontScale
| protected